// cMLdkGUI.h: interface for the cMLdkGUI class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMLDKGUI_H__27D74CCF_3DE0_43D9_B2E1_DABF341BAB0A__INCLUDED_)
#define AFX_CMLDKGUI_H__27D74CCF_3DE0_43D9_B2E1_DABF341BAB0A__INCLUDED_

static const char *VERSION = "0.0.1-pre3";
static const char *DESCRIPTION = "MLDonkey GUI";
static const char *MAINMENUENTRY = "MLDonkeyGUI";


class cMLdkGUIPlugin : public cPlugin
{
public:	
	cMLdkGUIPlugin();

public:
	bool			SetupParse(const char *Name, const char *Value);
	const char     *Version(void)        { return VERSION;       }
	const char     *Description(void)    { return DESCRIPTION;   }
	const char     *MainMenuEntry(void)  { return MAINMENUENTRY; }
	cMenuSetupPage *SetupMenu(void)      { return((cMenuSetupPage *)new cMLdkGUIPluginSetup);	}
	cOsdObject     *MainMenuAction(void);

};    

#endif // !defined(AFX_CMLDKGUI_H__27D74CCF_3DE0_43D9_B2E1_DABF341BAB0A__INCLUDED_)

